---
apiVersion: v1
kind: Service
metadata:
  labels:
    container: resilio-sync
  name: resilio-sync
spec:
  clusterIP: None
  ports: []
  selector:
    container: resilio-sync
    is-container: 'true'
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  labels:
    container: resilio-sync
  name: resilio-sync-nirvati-ingress
spec:
  ports:
  - name: resilio-sync-nirvati-ingress-8888-tcp
    port: 8888
    targetPort: 8888
  selector:
    container: resilio-sync
    is-container: 'true'
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: tailscale
    metallb.universe.tf/allow-shared-ip: ip_set_tailscale
  name: nirvati-internal-resilio-sync-public-tailscale
spec:
  ports:
  - name: resilio-sync-public-55555-tcp
    port: 55555
    targetPort: 55555
  selector:
    container: resilio-sync
    is-container: 'true'
  type: LoadBalancer

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    metallb.universe.tf/address-pool: default
    metallb.universe.tf/allow-shared-ip: ip_set_main
  labels:
    container: resilio-sync
  name: resilio-sync-public
spec:
  ports:
  - name: resilio-sync-public-55555-tcp
    port: 55555
    targetPort: 55555
  selector:
    container: resilio-sync
    is-container: 'true'
  type: LoadBalancer

